scala.collection.jcl.SortedSet
trait Projection

[source: `scala/collection/jcl/SortedSet.scala`]

`` `trait` Projection[A]
  `extends` Projection[A]`with` SortedSet[A]

Direct Known Subclasses:
  SortedMap.KeySet, SortedMapWrapper.KeySet, SortedSet.Filter, SortedSet.Range

Method Summary
`override def` | filter (p : (A) => Boolean) : Projection[A] non-strict
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from SortedSet
compare (abstract), keySet, firstKey, subsetOf, hasAll, lastKey, rangeImpl

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Set
add (abstract), contains, ++, --, +, -, retain, isEmpty, clear, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
size (abstract), apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Projection
map

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from Collection
addAll, -=, +=

Methods inherited from MutableIterable
elements (abstract), has, remove, removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` projection : Projection[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Projection.projection, SortedSet.projection

`override` `def` filter(p : (A) => Boolean) : Projection[A]

  non-strict

Overrides
  Projection.filter